const fs = require('fs');
const path = require("path");
const async = require("async");

const srcDir = process.argv[2] ? process.argv[2] : './src';
const distFile = process.argv[3] ? process.argv[3] : './dist/bundle.js';

const fileProcess = function(filesDir, resultFile) {
    fs.readdir(filesDir, (error, files) => {
        if (error) {
            throw error;
        } else {
            files = files.filter(file => path.extname(file) === '.js').map(file => path.join(filesDir, file));
            
            async.map(files, fs.readFile, (err, results) => {
                if (error) {
                    throw error;
                } else {
                    fs.writeFile(resultFile, results.join("\n"), (error) => {
                        if (error){
                            throw error;
                        } else {
                            console.log('File "' + resultFile + '" imported successfully.');
                        }
                    });
                }
            });
        } 
    });
}(srcDir, distFile);


